com.creamtec.ajaxswing.gui

## Class AjaxSwingImage

- java.lang.Object
- - java.awt.Image
  - - sun.awt.image.ToolkitImage
    - - com.creamtec.ajaxswing.gui.AjaxSwingImage

-     public class AjaxSwingImage
      extends sun.awt.image.ToolkitImage

  Used as a wrapper around sun.awt.image.Image to capture the creation and loading of all images. The created images are stored in a map in AjaxSwingToolkit to maintain association between the image object and the file that was used to load it.

- - ### Field Summary

    - ### Fields inherited from class java.awt.Image

      `SCALE_AREA_AVERAGING, SCALE_DEFAULT, SCALE_FAST, SCALE_REPLICATE, SCALE_SMOOTH, UndefinedProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingImage(java.awt.image.ImageProducer imageproducer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `getBufferedImage()` Override this method to store the newly created image in a hash that will allow us later to link it to this image

    - ### Methods inherited from class sun.awt.image.ToolkitImage

      `check, flush, getColorModel, getGraphics, getHeight, getHeight, getImageRep, getProperty, getSource, getWidth, getWidth, hasError, preload, setAccelerationPriority`

    - ### Methods inherited from class java.awt.Image

      `getAccelerationPriority, getCapabilities, getScaledInstance`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingImage

          public AjaxSwingImage(java.awt.image.ImageProducer imageproducer)

  - ### Method Detail

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage()

      Override this method to store the newly created image in a hash that will allow us later to link it to this image
      Overrides:
        `getBufferedImage` in class `sun.awt.image.ToolkitImage`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.